package com.tzld.piaoquan.recommend.server.framework.userattention;

import com.typesafe.config.Config;



public class UserAttentionExtractorConfig {
    private final String name;  // attention extractor name
    private final Integer priority;
    private final String modelPath;
    private final Config paramConfig; // param config

    public UserAttentionExtractorConfig(String name,
                                        Config paramConfig,
                                        Integer priority,
                                        String modelPath) {
        this.name = name;
        this.paramConfig = paramConfig;
        this.priority = priority;
        this.modelPath = modelPath;
    }

    public Integer getPriority() {
        return priority;
    }

    public String getName() {
        return name;
    }

    public Config getParamConfig() {
        return paramConfig;
    }

    @Override
    public String toString() {
        return "AttentionExtractorConfig{" +
                "name='" + name + '\'' +
                ", priority=" + priority +
                ", modelPath='" + modelPath + '\'' +
                ", paramConfig=" + paramConfig +
                '}';
    }
}